Reporting/Ads.txt
/report/adstxt/:uid
The lines a publisher’s ads.txt file must contain, and which are missing from its live file
GET
/
v1
/
report
/
adstxt
/
{uid}
/report/adstxt/:uid
curl --request GET \
--url https://api.tagdeliver.com/v1/report/adstxt/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/adstxt/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/adstxt/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/adstxt/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/adstxt/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/adstxt/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/adstxt/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"file_found": true,
"ci_present": true,
"up_to_date": false,
"missing_lines": [
"ssp-one.example, 48213, RESELLER, a1b2c3d4e5f60718",
"OWNERDOMAIN=example.com"
],
"requirements": [
"contentignite.com, 20417, DIRECT",
"ssp-one.example, 48213, RESELLER, a1b2c3d4e5f60718",
"exchange-two.example, pub-9081726354, DIRECT",
"OWNERDOMAIN=example.com"
]
},
"success": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A single publisher ID
Query Parameters
Set to 1 to list only the lines the platform’s demand requires, leaving out lines added for this publisher
Available options:
0, 1 Was this page helpful?
⌘I
/report/adstxt/:uid
curl --request GET \
--url https://api.tagdeliver.com/v1/report/adstxt/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/adstxt/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/adstxt/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/adstxt/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/adstxt/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/adstxt/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/adstxt/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"file_found": true,
"ci_present": true,
"up_to_date": false,
"missing_lines": [
"ssp-one.example, 48213, RESELLER, a1b2c3d4e5f60718",
"OWNERDOMAIN=example.com"
],
"requirements": [
"contentignite.com, 20417, DIRECT",
"ssp-one.example, 48213, RESELLER, a1b2c3d4e5f60718",
"exchange-two.example, pub-9081726354, DIRECT",
"OWNERDOMAIN=example.com"
]
},
"success": true
}